---
publishDate: 2024-04-26T00:00:00Z
title: Spotlight on the ThreeFold Farming Community
excerpt: ThreeFold Farmers provide decentralized cloud capacity, shape the grid's future, and share resources to build a fair and connected world.
image: ~/assets/images/blog/the_farming_community.png
category: farming
tags:
  - technology
  - threefold_cloud
  - community
metadata:
  canonical: https://astrowind.vercel.app/how-to-customize-astrowind-to-your-brand
---

The ThreeFold community consists of many different roles creating a whole [ecosystem](https://www.threefold.io/blog/tf-ecosystem-comes-alive/) that contributes to the growth of the ThreeFold Grid and makes it more reliable and stable. Today, we're spotlighting the farming community, the backbone of the ThreeFold Grid.

### **Who are the farmers and what exactly do these farmers do?**

Think of a ThreeFold Farmer as a digital pioneer who connects their capacity to the ThreeFold Grid, becoming a cloud service provider. They come from all corners of the globe, driven by a common goal: to contribute to the growth of ThreeFold’s decentralized cloud infrastructure.
Currently, we boast approximately 950 farmers running an impressive ±2500 nodes. This translates to a whopping capacity of:

<br>

- Cores: 64,290
- RAM: 434.85 TB
- SSD: 8.46 PB
- HDD: 20 PB

</br>

The farming community keeps the digital gears turning. Whether they purchase a 3Node from the marketplace or build their nodes, they're providing essential capacity to the ThreeFold Grid. In return for their contributions, they're rewarded with ThreeFold Tokens (TFTs), the currency of the ThreeFold ecosystem.

</br>

Farmers are rewarded based on their uptime—the number of hours, minutes, and seconds their node has been online. This data is meticulously tracked by ThreeFold's blockchain, TFChain, and used to determine their monthly rewards. However, we're always evolving and we just passed a vote on the ThreeFold DAO where we decided that, in the future, farmers would be rewarded based on their utilization.

</br>

ThreeFold Farmers not only provide capacity but also take the opportunity of ThreeFold being an open-source project to develop scripts and tools like a [Python script for minting](https://forum.threefold.io/t/farm-earnings-data-capture-made-easy/4251), a telegram for [liquidity pool USDC/TFT](https://t.me/threefold/42257/54497), and Telegram channels for their local community where English is not their primary language so that they can get help when they need it, and much more.

</br>

The ThreeFold farming community is an integral part of our [decentralized autonomous organization (DAO)](https://manual.grid.tf/documentation/dashboard/tfchain/tf_dao.html). A farmer's participation in the DAO discussions and proposals is pivotal as we chart the course for the grid's evolution, from our current version 3.14 release and beyond. Together, we're actively building the grid's future, thanks to our dedicated farmers' collaborative efforts. Join us, share your ideas, and let's shape the future of the ThreeFold Grid together.

### **The Future of the Farming Community**

#### **The TF Cooperative**

ThreeFold is transitioning the management of TF Grid to a cooperative, empowering all of us to work toward our common goals more effectively. This shift represents a step towards a more collaborative and inclusive future for the TFGrid. As we enter the commercialization phase of the project, a cooperative model also brings a trusted form of decentralized governance and will enable us to bring more reliability to the grid.

</br>

The formation of the ThreeFold Cooperative (TF COOP) brings several planned changes for farmers and their interaction with the TFGrid:

<br>

- **Democratic Governance**: TF COOP introduces a system where farmers can vote on decisions based on their TFT holdings (1 TFT = 1 vote), giving them a voice in the cooperative's direction.
- **Farming Rewards**: Farmers will continue to earn rewards based on the quality of their nodes and network uptime. This encourages high standards and benefits both farmers and users.
- **Compliance**: Farmers must follow KYC/AML (Know Your Customer/Anti-Money Laundering) rules for transparency and accountability.
- **Service Level Agreements (SLAs)**: Larger farmers may sign formal contracts with DMCC or TF COOP, providing stability and predictability.
- **Capacity Resale and Utilization Rewards**: TF COOP will resell capacity and distribute profits. Farmers receive 50% of the revenue from their node utilization.
- **Node Information and Transparency**: Farmers can benefit from tracking more node data in the explorer, helping potential users select quality nodes.
- **Governance Involvement**: Farmers, as cooperative members, can impact management and operations, aligning their interests with the TFGrid's success.

#### **Farming Pool**

[Farming Pools](https://www.threefold.io/blog/farming-pools/) are a new feature planned for version 4.0 that helps improve trust and quality in our network. Farmers join these pools and agree to standards like uptime and response time. They can set their prices for services like storage and computing power. By staking tokens, farmers commit to these standards and risk losing some of their stakes if they don't meet their promises. This keeps the network reliable and fair while allowing farmers more control over their services.

</br>

These pools can also act as hubs for supporting farmers with training and help them understand if their nodes are working well. Sales of preconfigured hardware is an additional optional function of the pools, while all pools operate as a business that takes a margin on the farming rewards of the farmers belonging to the pool. Beyond support, the added value for the farmers is that pools ensure a level of service and quality that can attract users and bring additional revenues to the farmers, including the potential of active marketing of the pool's capacity.

### **Conclusion**

The farming community plays a key role in the smooth operation and growth of the ThreeFold Grid. These farmers shape the grid's future by offering the capacity for a more decentralized digital world. Their work goes beyond earning rewards, as they contribute nodes to a global network and share resources and tools that strengthen the community, which will be showcased in our upcoming blogs. Thanks to their efforts, the grid is thriving and paving the way for a fairer, more connected world.

#### Get involved:

<ul>
<li>

Join our [farmer's chat](https://t.me/threefoldfarmers) to talk with the community</li>

<li>

[Learn](https://manual.grid.tf/) about expanding the grid or adding on top of it.</li>

<li>

[Stay updated](https://t.me/threefoldnews) with news and community discussions.</li>

</ul>
